import { Body, Controller, Post } from '@nestjs/common';
import { BizStatus } from 'src/config/biz.code';
import { IVerifyCodeRequest } from 'src/dto/sms.dto';
import { SmsService } from 'src/service/sms.service';

@Controller('/sms')
export class SmsController {
  constructor(private readonly smsService: SmsService) {}

  @Post('/verifycode')
  async verifycode(@Body() params: IVerifyCodeRequest) {
    const { phone } = params;
    const verifycode = this.smsService.getVerifyCode({ phone });
    return { code: BizStatus.OK, data: verifycode };
  }
}
