import { EncryptUtil } from '@backset/util';
import { Injectable } from '@nestjs/common';
import { InjectDataSource } from '@nestjs/typeorm';
import { IUserLoginRequest, IUserRequest } from 'src/dto/user.dto';
import { IUser } from 'src/entity/user.entity';
import { DataSource } from 'typeorm';
import { UserServiceImpl } from './impl/user.interface';

@Injectable()
export class UserService implements UserServiceImpl {
  constructor(@InjectDataSource() private db: DataSource) {}

  async createUser(p: IUserRequest): Promise<boolean> {
    const create_sql = `INSERT INTO backset.user(user_login,user_pass,user_phone,user_create_time) VALUES(?,?,?,?)`;
    const { affectedRows } = await this.db.query(create_sql, [
      p.user_login,
      EncryptUtil.md5(p.user_pass),
      p.user_phone,
      Date.now(),
    ]);
    return affectedRows === 1;
  }
}
